com.amazonaws.services.simpleworkflow.model

## Class ChildWorkflowExecutionCompletedEventAttributes

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.ChildWorkflowExecutionCompletedEventAttributes

All Implemented Interfaces:
  Serializable, Cloneable

    public class ChildWorkflowExecutionCompletedEventAttributes
    extends Object
    implements Serializable, Cloneable

Provides details of the `ChildWorkflowExecutionCompleted` event.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ChildWorkflowExecutionCompletedEventAttributes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ChildWorkflowExecutionCompletedEventAttributes` `clone()`
`boolean` `equals(Object obj)`
`Long` `getInitiatedEventId()` The ID of the `StartChildWorkflowExecutionInitiated` event corresponding to the `StartChildWorkflowExecution` decision to start this child workflow execution.
`String` `getResult()` The result of the child workflow execution (if any).
`Long` `getStartedEventId()` The ID of the `ChildWorkflowExecutionStarted` event recorded when this child workflow execution was started.
`WorkflowExecution` `getWorkflowExecution()` The child workflow execution that was completed.
`WorkflowType` `getWorkflowType()` The type of the child workflow execution.
`int` `hashCode()`
`void` `setInitiatedEventId(Long initiatedEventId)` The ID of the `StartChildWorkflowExecutionInitiated` event corresponding to the `StartChildWorkflowExecution` decision to start this child workflow execution.
`void` `setResult(String result)` The result of the child workflow execution (if any).
`void` `setStartedEventId(Long startedEventId)` The ID of the `ChildWorkflowExecutionStarted` event recorded when this child workflow execution was started.
`void` `setWorkflowExecution(WorkflowExecution workflowExecution)` The child workflow execution that was completed.
`void` `setWorkflowType(WorkflowType workflowType)` The type of the child workflow execution.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ChildWorkflowExecutionCompletedEventAttributes` `withInitiatedEventId(Long initiatedEventId)` The ID of the `StartChildWorkflowExecutionInitiated` event corresponding to the `StartChildWorkflowExecution` decision to start this child workflow execution.
`ChildWorkflowExecutionCompletedEventAttributes` `withResult(String result)` The result of the child workflow execution (if any).
`ChildWorkflowExecutionCompletedEventAttributes` `withStartedEventId(Long startedEventId)` The ID of the `ChildWorkflowExecutionStarted` event recorded when this child workflow execution was started.
`ChildWorkflowExecutionCompletedEventAttributes` `withWorkflowExecution(WorkflowExecution workflowExecution)` The child workflow execution that was completed.
`ChildWorkflowExecutionCompletedEventAttributes` `withWorkflowType(WorkflowType workflowType)` The type of the child workflow execution.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ChildWorkflowExecutionCompletedEventAttributes

    public ChildWorkflowExecutionCompletedEventAttributes()

### Method Detail

#### setWorkflowExecution

    public void setWorkflowExecution(WorkflowExecution workflowExecution)

The child workflow execution that was completed.

Parameters:
  `workflowExecution` - The child workflow execution that was completed.

#### getWorkflowExecution

    public WorkflowExecution getWorkflowExecution()

The child workflow execution that was completed.

Returns:
  The child workflow execution that was completed.

#### withWorkflowExecution

    public ChildWorkflowExecutionCompletedEventAttributes withWorkflowExecution(WorkflowExecution workflowExecution)

The child workflow execution that was completed.

Parameters:
  `workflowExecution` - The child workflow execution that was completed.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setWorkflowType

    public void setWorkflowType(WorkflowType workflowType)

The type of the child workflow execution.

Parameters:
  `workflowType` - The type of the child workflow execution.

#### getWorkflowType

    public WorkflowType getWorkflowType()

The type of the child workflow execution.

Returns:
  The type of the child workflow execution.

#### withWorkflowType

    public ChildWorkflowExecutionCompletedEventAttributes withWorkflowType(WorkflowType workflowType)

The type of the child workflow execution.

Parameters:
  `workflowType` - The type of the child workflow execution.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setResult

    public void setResult(String result)

The result of the child workflow execution (if any).

Parameters:
  `result` - The result of the child workflow execution (if any).

#### getResult

    public String getResult()

The result of the child workflow execution (if any).

Returns:
  The result of the child workflow execution (if any).

#### withResult

    public ChildWorkflowExecutionCompletedEventAttributes withResult(String result)

The result of the child workflow execution (if any).

Parameters:
  `result` - The result of the child workflow execution (if any).
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setInitiatedEventId

    public void setInitiatedEventId(Long initiatedEventId)

The ID of the `StartChildWorkflowExecutionInitiated` event corresponding to the `StartChildWorkflowExecution` decision to start this child workflow execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `initiatedEventId` - The ID of the `StartChildWorkflowExecutionInitiated` event corresponding to the `StartChildWorkflowExecution` decision to start this child workflow execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### getInitiatedEventId

    public Long getInitiatedEventId()

The ID of the `StartChildWorkflowExecutionInitiated` event corresponding to the `StartChildWorkflowExecution` decision to start this child workflow execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Returns:
  The ID of the `StartChildWorkflowExecutionInitiated` event corresponding to the `StartChildWorkflowExecution` decision to start this child workflow execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### withInitiatedEventId

    public ChildWorkflowExecutionCompletedEventAttributes withInitiatedEventId(Long initiatedEventId)

The ID of the `StartChildWorkflowExecutionInitiated` event corresponding to the `StartChildWorkflowExecution` decision to start this child workflow execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `initiatedEventId` - The ID of the `StartChildWorkflowExecutionInitiated` event corresponding to the `StartChildWorkflowExecution` decision to start this child workflow execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStartedEventId

    public void setStartedEventId(Long startedEventId)

The ID of the `ChildWorkflowExecutionStarted` event recorded when this child workflow execution was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `startedEventId` - The ID of the `ChildWorkflowExecutionStarted` event recorded when this child workflow execution was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### getStartedEventId

    public Long getStartedEventId()

The ID of the `ChildWorkflowExecutionStarted` event recorded when this child workflow execution was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Returns:
  The ID of the `ChildWorkflowExecutionStarted` event recorded when this child workflow execution was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### withStartedEventId

    public ChildWorkflowExecutionCompletedEventAttributes withStartedEventId(Long startedEventId)

The ID of the `ChildWorkflowExecutionStarted` event recorded when this child workflow execution was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `startedEventId` - The ID of the `ChildWorkflowExecutionStarted` event recorded when this child workflow execution was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ChildWorkflowExecutionCompletedEventAttributes clone()

Overrides:
  `clone` in class `Object`